# Uses of Interface
org.springframework.util.MultiValueMap

Packages that use MultiValueMap
Package
Description
org.springframework.core.annotation
Core support package for annotations, meta-annotations, and merged annotations with attribute overrides.
org.springframework.core.type
Core support package for type introspection.
org.springframework.util
Miscellaneous utility classes, such as utilities for working with strings, classes, collections, reflection, etc.

## Uses of MultiValueMap in org.springframework.core.annotation

Methods in org.springframework.core.annotation that return MultiValueMap
Modifier and Type
Method
Description
`static MultiValueMap<String,Object>`
AnnotatedElementUtils.`getAllAnnotationAttributes(AnnotatedElement element, String annotationName)`
Get the annotation attributes of all annotations of the specified `annotationName` in the annotation hierarchy above the supplied `AnnotatedElement` and store the results in a `MultiValueMap`.
`static MultiValueMap<String,Object>`
AnnotatedElementUtils.`getAllAnnotationAttributes(AnnotatedElement element, String annotationName, boolean classValuesAsString, boolean nestedAnnotationsAsMap)`
Get the annotation attributes of all annotations of the specified `annotationName` in the annotation hierarchy above the supplied `AnnotatedElement` and store the results in a `MultiValueMap`.
Methods in org.springframework.core.annotation that return types with arguments of type MultiValueMap
Modifier and Type
Method
Description
`static <A extends Annotation>
Collector<MergedAnnotation<A>,?,MultiValueMap<String,Object>>`
MergedAnnotationCollectors.`toMultiValueMap(Function<MultiValueMap<String,Object>,MultiValueMap<String,Object>> finisher, MergedAnnotation.Adapt... adaptations)`
Create a new `Collector` that accumulates merged annotations to a `MultiValueMap` with items added from each merged annotation as a map.
`static <A extends Annotation>
Collector<MergedAnnotation<A>,?,MultiValueMap<String,Object>>`
MergedAnnotationCollectors.`toMultiValueMap(MergedAnnotation.Adapt... adaptations)`
Create a new `Collector` that accumulates merged annotations to a `MultiValueMap` with items added from each merged annotation as a map.
Method parameters in org.springframework.core.annotation with type arguments of type MultiValueMap
Modifier and Type
Method
Description
`static <A extends Annotation>
Collector<MergedAnnotation<A>,?,MultiValueMap<String,Object>>`
MergedAnnotationCollectors.`toMultiValueMap(Function<MultiValueMap<String,Object>,MultiValueMap<String,Object>> finisher, MergedAnnotation.Adapt... adaptations)`
Create a new `Collector` that accumulates merged annotations to a `MultiValueMap` with items added from each merged annotation as a map.
`static <A extends Annotation>
Collector<MergedAnnotation<A>,?,MultiValueMap<String,Object>>`
MergedAnnotationCollectors.`toMultiValueMap(Function<MultiValueMap<String,Object>,MultiValueMap<String,Object>> finisher, MergedAnnotation.Adapt... adaptations)`
Create a new `Collector` that accumulates merged annotations to a `MultiValueMap` with items added from each merged annotation as a map.

## Uses of MultiValueMap in org.springframework.core.type

Methods in org.springframework.core.type that return MultiValueMap
Modifier and Type
Method
Description
`default MultiValueMap<String,Object>`
AnnotatedTypeMetadata.`getAllAnnotationAttributes(String annotationName)`
Retrieve all attributes of all annotations of the given type, if any (i.e.
`default MultiValueMap<String,Object>`
AnnotatedTypeMetadata.`getAllAnnotationAttributes(String annotationName, boolean classValuesAsString)`
Retrieve all attributes of all annotations of the given type, if any (i.e.
`MultiValueMap<String,Object>`
StandardAnnotationMetadata.`getAllAnnotationAttributes(String annotationName, boolean classValuesAsString)`
`MultiValueMap<String,Object>`
StandardMethodMetadata.`getAllAnnotationAttributes(String annotationName, boolean classValuesAsString)`

## Uses of MultiValueMap in org.springframework.util

Classes in org.springframework.util that implement MultiValueMap
Modifier and Type
Class
Description
`class`
`LinkedMultiValueMap<K,V>`
Simple implementation of `MultiValueMap` that wraps a `LinkedHashMap`, storing multiple values in an `ArrayList`.
`class`
`MultiValueMapAdapter<K,V>`
Adapts a given `Map` to the `MultiValueMap` contract.
Methods in org.springframework.util that return MultiValueMap
Modifier and Type
Method
Description
`static <K, V> MultiValueMap<K,V>`
MultiValueMap.`fromMultiValue(Map<K,List<V>> map)`
Return a `MultiValueMap<K, V>` that adapts the given multi-value `Map<K, List<V>>`.
`static <K, V> MultiValueMap<K,V>`
MultiValueMap.`fromSingleValue(Map<K,V> map)`
Return a `MultiValueMap<K, V>` that adapts the given single-value `Map<K, V>`.
`static <K, V> MultiValueMap<K,V>`
CollectionUtils.`toMultiValueMap(Map<K,List<V>> targetMap)`
Adapt a `Map<K, List<V>>` to an `MultiValueMap<K, V>`.
`static <K, V> MultiValueMap<K,V>`
CollectionUtils.`unmodifiableMultiValueMap(MultiValueMap<? extends K,? extends V> targetMap)`
Return an unmodifiable view of the specified multi-value map.
Methods in org.springframework.util with parameters of type MultiValueMap
Modifier and Type
Method
Description
`void`
MultiValueMap.`addAll(MultiValueMap<K,V> values)`
Add all the values of the given `MultiValueMap` to the current values.
`void`
MultiValueMapAdapter.`addAll(MultiValueMap<K,V> values)`
`static <K, V> MultiValueMap<K,V>`
CollectionUtils.`unmodifiableMultiValueMap(MultiValueMap<? extends K,? extends V> targetMap)`
Return an unmodifiable view of the specified multi-value map.